package net.halbear.Terrain4J.EngineCore.Vulkan.GUI;

import java.security.SecureRandom;

public record GuiTexture(long ID, String TexturePath) {
    public GuiTexture(String texturePath){
        this(GetID(),texturePath);
    }
    private static long GetID(){
        SecureRandom secureRandom = new SecureRandom();
        long ID = Math.abs(secureRandom.nextLong());
        if(ID == 0){
            ID += 1;
        }
        return ID;
    }
}
